Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class KeyPairGenerator

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--java.security.KeyPairGenerator

Direct Known Subclasses:
  BaseElGamalKeyPairGenerator, BaseRSAKeyPairGenerator

public abstract synchronized class KeyPairGenerator
extends KeyPairGeneratorSpi

Constructor Summary
`protected` | `KeyPairGenerator(String)`

Method Summary
`KeyPair` | `genKeyPair()`
`String` | `getAlgorithm()`
`static KeyPairGenerator` | `getInstance(String)`
`static KeyPairGenerator` | `getInstance(String, String)`
`Provider` | `getProvider()`
`void` | `initialize(java.security.spec.AlgorithmParameterSpec)`
`void` | `initialize(java.security.spec.AlgorithmParameterSpec, SecureRandom)`
`void` | `initialize(int)`
`void` | `initialize(int, SecureRandom)`

Methods inherited from class java.security.KeyPairGeneratorSpi
`generateKeyPair`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyPairGenerator

    protected KeyPairGenerator(String)

Method Detail

### genKeyPair

    public final KeyPair genKeyPair()

### getAlgorithm

    public String getAlgorithm()

### getInstance

    public static KeyPairGenerator getInstance(String)
                                        throws NoSuchAlgorithmException

### getInstance

    public static KeyPairGenerator getInstance(String,
                                               String)
                                        throws NoSuchAlgorithmException,
                                               NoSuchProviderException

### getProvider

    public final Provider getProvider()

### initialize

    public void initialize(int)

### initialize

    public void initialize(int,
                           SecureRandom)

  Overrides:
    initialize in class KeyPairGeneratorSpi

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec)
                    throws InvalidAlgorithmParameterException

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec,
                           SecureRandom)
                    throws InvalidAlgorithmParameterException

  Overrides:
    initialize in class KeyPairGeneratorSpi

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.